<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Matrix Math Operations</TITLE>
<link href="suifmath_34.html" rel=Next>
<link href="suifmath_32.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_32.html">previous</A>, <A HREF="suifmath_34.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC37" HREF="suifmath_toc.html#TOC37">Matrix Math Operations</A></H3>

<P>
<A NAME="IDX528"></A>
<A NAME="IDX529"></A>
<A NAME="IDX530"></A>
<A NAME="IDX531"></A>
<A NAME="IDX532"></A>
<A NAME="IDX533"></A>
A number of matrix-matrix operations are provided.  These include
addition, subtraction and multiplication.  Either a new matrix can be
created (i.e. <CODE>C = A + B</CODE>) or the result can be stored into one of
the operands (i.e. <CODE>C += A</CODE>).  A matrix-vector multiplication
method is also implemented.  See section <A HREF="suifmath_23.html#SEC27">Vectors for Linear Algebra</A>.

</P>
<P>
<A NAME="IDX534"></A>
<A NAME="IDX535"></A>
<A NAME="IDX536"></A>
<A NAME="IDX537"></A>
<A NAME="IDX538"></A>
<A NAME="IDX539"></A>
<A NAME="IDX540"></A>
<A NAME="IDX541"></A>
The <CODE>matrix</CODE> class also has methods that operate on every element
of the matrix.  These include functions that add, subtract, multiply or
divide a fraction to every element in the matrix.

</P>
<P>
<A NAME="IDX542"></A>
<A NAME="IDX543"></A>
The <CODE>ident</CODE> method overwrites the matrix with the identity matrix.
If a size if not given, then the current matrix must be square.  The
<CODE>transpose</CODE> method returns the transpose of the matrix.

</P>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_32.html">previous</A>, <A HREF="suifmath_34.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
